Subject: Re: Is this 32-bit NCM?y

From: Enrico Mioso <[email-masked]>
Date: Thu, 4 Dec 2014 09:56:36 +0100 (CET)

Hi Kevin.
Thank you for your hints and work.
Only a note - why disabling ARP? I think it could be a good iea... or does the hw_cdc_driver do that?
thank you again,
Enrico

On Thu, 4 Dec 2014, Kevin Zhu wrote:

> Date: Thu, 4 Dec 2014 09:52:49
> From: Kevin Zhu <[email-masked]>
> To: Enrico Mioso <[email-masked]>
> Cc: Bjørn Mork <[email-masked]>, Eli Britstein <[email-masked]>,
>     Alex Strizhevsky <[email-masked]>,
>     Midge Shaojun  Tan <[email-masked]>,
>     "[email-masked]" <[email-masked]>,
>     "[email-masked]" <[email-masked]>,
>     "[email-masked]" <[email-masked]>
> Subject: Re: Is this 32-bit NCM?y
> 
> Guys,
>
> After rearranging the padding, putting NCM0 right after NTH, and disable
> ARP (FLAG_NOARP) and handling the offset alignment issue, it seems it
> begins to work, though there's still problem with DHCP. It's able to
> ping, though my Ubuntu network manage does not notice this network
> interface. So no DNS.
>
> I have to specify the network interface and IP in the ping command.
>
> The DHCP packet's size becomes a large one after the TX function, which
> is 16384, the maximum. And the dongle does not reply it in time. For
> now, I just simple rearrange the code to meet Huawei's alignment
> requirement. I think other devices may be different, regarding the
> 'offset' definition. We may need to handle it. And also need to double
> check if the code has bugs.
>
> Regards,
> Kevin
>
> On 12/04/2014 02:31 PM, Enrico Mioso wrote:
>> Hello guys!
>> I am writing this message to hear if there is any progress,
>> Enrico
>>
>>
>> On Wed, 3 Dec 2014, Kevin Zhu wrote:
>>
>>> Date: Wed, 3 Dec 2014 07:05:37
>>> From: Kevin Zhu <[email-masked]>
>>> To: Enrico Mioso <[email-masked]>
>>> Cc: Bjørn Mork <[email-masked]>, Eli Britstein
>>> <[email-masked]>,
>>>     Alex Strizhevsky <[email-masked]>,
>>>     Midge Shaojun  Tan <[email-masked]>,
>>>     "[email-masked]" <[email-masked]>,
>>>     "[email-masked]" <[email-masked]>,
>>>     "[email-masked]" <[email-masked]>
>>> Subject: Re: Is this 32-bit NCM?
>>>
>>> OK. I will. Thank you for everything!
>>>
>>> Regards,
>>> Kevin
>>>
>>> On 12/03/2014 02:00 PM, Enrico Mioso wrote:
>>>> Yes - I think this would be ok. You might try this with the 16-bit
>>>> river first,
>>>> and then with the 32-bit one to see how things work.
>>>> I hope for the best.
>>>> Let us all know,
>>>> Enrico
>>>>
>>>>
>>>> On Wed, 3 Dec 2014, Kevin Zhu wrote:
>>>>
>>>> ==Date: Wed, 3 Dec 2014 06:38:27
>>>> ==From: Kevin Zhu <[email-masked]>
>>>> ==To: Enrico Mioso <[email-masked]>
>>>> ==Cc: Bjørn Mork <[email-masked]>, Eli Britstein
>>>> <[email-masked]>,
>>>> ==    Alex Strizhevsky <[email-masked]>,
>>>> ==    Midge Shaojun  Tan <[email-masked]>,
>>>> ==    "[email-masked]" <[email-masked]>,
>>>> ==    "[email-masked]" <[email-masked]>,
>>>> ==    "[email-masked]" <[email-masked]>
>>>> ==Subject: Re: Is this 32-bit NCM?
>>>> ==
>>>> ==My dongle also works with the huawei driver. I think only the 32bit
>>>> ==format and NDP location matter. We may modify the TX function to
>>>> put NTH
>>>> ==and NDP at the beginning of a NTB and see if it will work with the
>>>> ==driver cdc_ncm.
>>>> ==
>>>> ==Regards,
>>>> ==Kevin
>>>> ==
>>>> ==On 12/02/2014 11:28 PM, Enrico Mioso wrote:
>>>> ==> ... And what do you think about the source code of their ndis
>>>> driver?
>>>> ==> We at least know now the device work with it, so we have
>>>> something to mimic :D
>>>> ==> thank you for your work and patience Kevin.
>>>> ==>
>>>> ==> On Tue, 2 Dec 2014, Kevin Zhu wrote:
>>>> ==>
>>>> ==> ==Date: Tue, 2 Dec 2014 16:04:25
>>>> ==> ==From: Kevin Zhu <[email-masked]>
>>>> ==> ==To: Enrico Mioso <[email-masked]>, Bjørn Mork
>>>> <[email-masked]>
>>>> ==> ==Cc: Eli Britstein <[email-masked]>,
>>>> ==> ==    Alex Strizhevsky <[email-masked]>,
>>>> ==> ==    Midge Shaojun  Tan <[email-masked]>,
>>>> ==> ==    "[email-masked]" <[email-masked]>,
>>>> ==> ==    "[email-masked]" <[email-masked]>,
>>>> ==> ==    "[email-masked]" <[email-masked]>
>>>> ==> ==Subject: Re: Is this 32-bit NCM?
>>>> ==> ==
>>>> ==> ==I do not understand why the wSequence matters. By the way, I
>>>> think I see some NDPs are right after NTH headers in the windows
>>>> capture.
>>>> ==> ==
>>>> ==> ==________________________________________
>>>> ==> ==From: Enrico Mioso <[email-masked]>
>>>> ==> ==Sent: Tuesday, December 2, 2014 21:53
>>>> ==> ==To: Bjørn Mork
>>>> ==> ==Cc: Kevin Zhu; Eli Britstein; Alex Strizhevsky; Midge Shaojun
>>>> Tan; [email-masked]; [email-masked];
>>>> [email-masked]
>>>> ==> ==Subject: Re: Is this 32-bit NCM?
>>>> ==> ==
>>>> ==> ==Thank you very much Bjorn.
>>>> ==> ==
>>>> ==> ==
>>>> ==> ==On Tue, 2 Dec 2014, Bjørn Mork wrote:
>>>> ==> ==
>>>> ==> ====Date: Tue, 2 Dec 2014 14:37:03
>>>> ==> ====From: Bjørn Mork <[email-masked]>
>>>> ==> ====To: Enrico Mioso <[email-masked]>
>>>> ==> ====Cc: Kevin Zhu <[email-masked]>,
>>>> ==> ====    Eli Britstein <[email-masked]>,
>>>> ==> ====    Alex Strizhevsky <[email-masked]>,
>>>> ==> ====    Midge Shaojun Tan <[email-masked]>,
>>>> ==> ====    "[email-masked]" <[email-masked]>,
>>>> ==> ====    "[email-masked]" <[email-masked]>,
>>>> ==> ====    "[email-masked]" <[email-masked]>
>>>> ==> ====Subject: Re: Is this 32-bit NCM?
>>>> ==> ====
>>>> ==> ====Enrico Mioso <[email-masked]> writes:
>>>> ==> ====
>>>> ==> ====> ... but out of curiosity: are NCM specs allowing to change
>>>> order of things in
>>>> ==> ====> the package or not?
>>>> ==> ====> This is not to start philosofical falames or something,
>>>> but to understand
>>>> ==> ====> better how things work. And, if they do: how much
>>>> arbitrarily?
>>>> ==> ====
>>>> ==> ====Only the NTB header has a fixed location. The rest can be
>>>> anywhere and
>>>> ==> ====in any order. Quoting from section 3 Data Transport:
>>>> ==> ====
>>>> ==> ====  "Within any given NTB, the NTH always must be first; but
>>>> the other
>>>> ==> ====   items may occur in arbitrary order."
>>>> ==> ====
>>>> ==> ====
>>>> ==> ====Bjørn
>>>> ==> ====
>>>> ==> ==This email and any files transmitted with it are confidential
>>>> material. They are intended solely for the use of the designated
>>>> individual or entity to whom they are addressed. If the reader of
>>>> this message is not the intended recipient, you are hereby notified
>>>> that any dissemination, use, distribution or copying of this
>>>> communication is strictly prohibited and may be unlawful.
>>>> ==> ==
>>>> ==> ==If you have received this email in error please immediately
>>>> notify the sender and delete or destroy any copy of this message
>>>> ==> ==
>>>> ==This email and any files transmitted with it are confidential
>>>> material. They are intended solely for the use of the designated
>>>> individual or entity to whom they are addressed. If the reader of
>>>> this message is not the intended recipient, you are hereby notified
>>>> that any dissemination, use, distribution or copying of this
>>>> communication is strictly prohibited and may be unlawful.
>>>> ==
>>>> ==If you have received this email in error please immediately notify
>>>> the sender and delete or destroy any copy of this message
>>>> ==
>>> This email and any files transmitted with it are confidential
>>> material. They are intended solely for the use of the designated
>>> individual or entity to whom they are addressed. If the reader of
>>> this message is not the intended recipient, you are hereby notified
>>> that any dissemination, use, distribution or copying of this
>>> communication is strictly prohibited and may be unlawful.
>>>
>>> If you have received this email in error please immediately notify
>>> the sender and delete or destroy any copy of this message
>>>
> This email and any files transmitted with it are confidential material. They are intended solely for the use of the designated individual or entity to whom they are addressed. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, use, distribution or copying of this communication is strictly prohibited and may be unlawful.
>
> If you have received this email in error please immediately notify the sender and delete or destroy any copy of this message
>